﻿<Window x:Class="DemoApplication.View.Product.Dialog.ProductSearchView"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:component="clr-namespace:DemoApplication.Component"
        mc:Ignorable="d"
        Title="ProductSearchView" Height="600" Width="900">
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition/>
            <RowDefinition Height="70"/>
        </Grid.RowDefinitions>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="270"/>
            <ColumnDefinition/>
        </Grid.ColumnDefinitions>
        <Grid Margin="10">
            <Grid.RowDefinitions>
                <RowDefinition/>
                <RowDefinition/>
                <RowDefinition/>
                <RowDefinition/>
                <RowDefinition/>
                <RowDefinition Height="5*"/>
            </Grid.RowDefinitions>
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="120"/>
                <ColumnDefinition/>
            </Grid.ColumnDefinitions>

            <TextBlock Text="Barcode" VerticalAlignment="Center" Grid.Row="0"/>
            <TextBox Name="Barcode"  Grid.Row="0" Grid.Column="1" VerticalAlignment="Center"/>

            <TextBlock Text="Supplier Code" VerticalAlignment="Center" Grid.Row="1" Grid.Column="0"/>
            <TextBox Name="SupplierCode" Grid.Column="1" Grid.Row="1" VerticalAlignment="Center"/>

            <TextBlock Text="Name" VerticalAlignment="Center" Grid.Row="2" Grid.Column="0"/>
            <TextBox Name="Name" Grid.Column="1" Grid.Row="2" VerticalAlignment="Center"/>

            <TextBlock Text="Supplier" VerticalAlignment="Center" Grid.Row="3" Grid.Column="0"/>
            <ComboBox Name="Supplier" Grid.Column="1" Grid.Row="3" VerticalAlignment="Center" SelectedValuePath="ServerId" DisplayMemberPath="Name"/>

            <TextBlock Text="Category" VerticalAlignment="Center" Grid.Row="4" Grid.Column="0"/>
            <ComboBox Name="Category" Grid.Column="1" Grid.Row="4" VerticalAlignment="Center" SelectedValuePath="Id" DisplayMemberPath="Name" />

        </Grid>

        <Grid Grid.Row="1" Grid.Column="0">
            <Grid.ColumnDefinitions>
                <ColumnDefinition/>
                <ColumnDefinition/>
            </Grid.ColumnDefinitions>
            <Button Name="Cancel" Content="Cancel" VerticalAlignment="Center" Margin="20,0,10,0"/>
            <Button Name="Search"  Grid.Column="1" Content="Search" VerticalAlignment="Center" Margin="10,0,20,0"/>
        </Grid>
        <Button Name="SelectProduct" Grid.Row="1" Grid.Column="1" Content="Select Product" HorizontalAlignment="Right" Margin="15" Padding="10"/>

        <DataGrid x:Name="Products" Grid.Row="0" Grid.Column="1" SelectedIndex="-1"
                  IsReadOnly="True"
                  AutoGenerateColumns="False"
                  SelectionMode="Single">
            <DataGrid.Columns>
                <DataGridTextColumn Header="Barcode" Binding="{Binding Barcode}"/>
                <DataGridTextColumn Header="Name" Binding="{Binding Name}"/>
                <DataGridTextColumn Header="Cost" Binding="{Binding Cost}"/>
                <DataGridTextColumn Header="Selling" Binding="{Binding Selling}"/>
                <DataGridTextColumn Header="Profit Margin" Binding="{Binding ProfitMargin}"/>
            </DataGrid.Columns>
        </DataGrid>
        <component:SpinLoadingIndicator x:Name="LoadingIndicator" Grid.Row="0" Grid.Column="0" Grid.ColumnSpan="2" Grid.RowSpan="2" Background="#80000000"/>
    </Grid>
</Window>
